﻿using System.Collections.Generic;
using AttendanceApp.Domain.Models;

namespace AttendanceApp.Data.Repository
{
    public interface IGroupRepository
    {
        IEnumerable<Group> GetAllGroups();
        Group GetGroupById(int id);
        void AddGroup(Group group);
        void UpdateGroup(Group group);
        void DeleteGroup(int id);
    }
}