﻿using AttendanceApp.Domain.Models;

namespace AttendanceApp.Data.Repository
{
    public interface IPresenceRepository
    {
        IEnumerable<Presence> GetPresenceByGroupAndDate(int groupId, DateTime date);
        IEnumerable<Presence> GetPresenceByGroup(int groupId);
        void AddPresence(Presence presence);
        void UpdatePresence(Presence presence);
        // Дополнительные методы по необходимости
    }
}